1. Job
server
  • auth
    • sign-up
      POST
    • confirm-email
      POST
    • regenerate-confirm-email-code
      GET
    • login-user
      POST
    • reset-password-token
      POST
    • reset-password
      POST
    • get-current-user
      GET
    • verify-with-2fa
      POST
  • Job
    • post-Job
      POST
    • get-jobs
      GET
    • get-job-by-id
      GET
    • apply-job
      POST
    • get-internal-applied-jobs
      GET
    • get-all-applied-jobs
      GET
    • talent-matching
      GET
  • profile
    • get-profile
      GET
    • update-profile
      PATCH
  • security
    • generate-2fa
      POST
    • verify-2fa
      POST
    • disable-2fa
      POST
  • chatbot
    • prompt-ai
      POST
  • feeds
    • post
      POST
    • get-all-posts
      GET
    • like-post
      POST
    • bookmark-post
      POST
    • comment-post
      POST
    • get-comments
      GET
  • cms
    • content
      • post-content
      • get-all-content
      • get-content-by-id
      • update-content
      • delete-content
    • contest
      • post-contest
      • get-contest
      • get-contest-by-id
      • update-contest
      • delete-contest
    • webinar
      • create-webinar
      • register-webinar
      • speaker-application
      • get-speaker-applications
      • get-all-webinars
      • create-faqs
      • get-faqs
    • winner-spotlight
      • create-winner-spotlight
      • get-winner-spotlights
      • get-winner-spotlight-by-id
      • update-winner-spotlight
      • delete-winner-spotlight
  • socials
    • follow
      • follow-user
      • unfollow-user
    • chats
      • send-message
      • get-chats
      • get-chat-by-id
  • talent
    • apply-talent
    • get-talents-applications
    • talent-application-review
    • user-get-talents
  1. Job

post-Job

Developing
POST
/job/post

Request

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/job/post' \
--header 'Content-Type: application/json' \
--data '{
    "title": "Frontend Developer",
    "description": "We are looking for a skilled frontend developer to join our team and help build modern web applications.",
    "company": "Tech Solutions Inc.",
    "employmentType": "full-time",
    "skillsRequired": ["JavaScript", "React", "HTML", "CSS"],
    "skillLevel": "intermediate",
    "applicationMethod": "external",
    "applicationLink": "https://techsolutions.com/careers/frontend-dev",
    "postedBy": "507f1f77bcf86cd799439011",
    "createdAt": "2023-05-15T09:00:00Z"
  }'
Response Response Example
{}
Modified at 2025-07-31 17:58:02
Previous
verify-with-2fa
Next
get-jobs
Built with